comedi_get_range
Prev | 5.4.1. Core Functions | Next

## Name

comedi_get_range — range information of channel

## Synopsis

    #include <comedilib.h>

`comedi_range * comedi_get_range(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int range`)`;

## Description

The function `comedi_get_range` returns a pointer to a comedi_range structure that contains information on the range specified by the `subdevice`, `channel`, and `range` parameters. The pointer is valid until the Comedi device `device` is closed. If there is an error, `NULL` is returned.

Prev | Up | Next
comedi_get_n_subdevices | Home | comedi_get_subdevice_flags